import { jsx } from "react/jsx-runtime";
import { PencilSlashIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PencilSlash = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "PencilSlash", ...props, children: /* @__PURE__ */ jsx(PencilSlashIcon, { weight: variant }) });
  }
);
PencilSlash.displayName = "PencilSlash";
Object.assign(PencilSlash, { isGdsIcon: true });
export {
  PencilSlash
};
